## org.eclipse.contribution.visualiser.palettes
Class PatternVisualiserPalette

    java.lang.Object
      org.eclipse.contribution.visualiser.palettes.DefaultVisualiserPalette
          org.eclipse.contribution.visualiser.palettes.PatternVisualiserPalette

All Implemented Interfaces:
  IVisualiserPalette

public class PatternVisualiserPalette
extends DefaultVisualiserPalette

Field Summary
`protected static byte[][]` `pattern1`
`protected static byte[][]` `pattern10`
`protected static byte[][]` `pattern11`
`protected static byte[][]` `pattern2`
`protected static byte[][]` `pattern3`
`protected static byte[][]` `pattern4`
`protected static byte[][]` `pattern5`
`protected static byte[][]` `pattern6`
`protected static byte[][]` `pattern7`
`protected static byte[][]` `pattern8`
`protected static byte[][]` `pattern9`
`protected static byte[][][]` `patternList`

Fields inherited from class org.eclipse.contribution.visualiser.palettes.DefaultVisualiserPalette

`blue1, blue2, blue3, blue4, blue5, cyan1, cyan2, cyan3, cyan4, cyan5, green1, green2, green3, green4, green5, indigo1, indigo2, indigo3, indigo4, indigo5, lightblue1, lightblue2, lightblue3, lightblue4, lightblue5, mint1, mint2, mint3, mint4, mint5, orange1, orange2, orange3, orange4, orange5, pink1, pink2, pink3, pink4, pink5, purple1, purple2, purple3, purple4, purple5, red1, red2, red3, red4, red5, rgbList, swamp1, swamp2, swamp3, swamp4, swamp5, yellow1, yellow2, yellow3, yellow4, yellow5`

Constructor Summary
`PatternVisualiserPalette()`

Method Summary
`byte[][][]` `getPaletteContence()`
`byte[][]` `getRandomPattern()` Returns a pattern with a number of randomly created lines The density, between 5 and 20 related to the number of lines in the pattern

Methods inherited from class org.eclipse.contribution.visualiser.palettes.DefaultVisualiserPalette
`getRandomRGBValue, getRGBValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pattern1

    protected static byte[][] pattern1

### pattern2

    protected static byte[][] pattern2

### pattern3

    protected static byte[][] pattern3

### pattern4

    protected static byte[][] pattern4

### pattern5

    protected static byte[][] pattern5

### pattern6

    protected static byte[][] pattern6

### pattern7

    protected static byte[][] pattern7

### pattern8

    protected static byte[][] pattern8

### pattern9

    protected static byte[][] pattern9

### pattern10

    protected static byte[][] pattern10

### pattern11

    protected static byte[][] pattern11

### patternList

    protected static byte[][][] patternList

Constructor Detail

### PatternVisualiserPalette

    public PatternVisualiserPalette()

Method Detail

### getRandomPattern

    public byte[][] getRandomPattern()

  Returns a pattern with a number of randomly created lines The density, between 5 and 20 related to the number of lines in the pattern

  Returns:
    randomly generated Color

### getPaletteContence

    public byte[][][] getPaletteContence()